Bug 71461 - if XF86Config file is hosed, can't start redhat-config-xfree86
if XF86Config file is hosed, can't start redhat-config-xfree86
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
beta4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-13 17:04 EDT by Brent Fox
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 07:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Fox 2002-08-13 17:04:11 EDT
So I take a perfectly good XF86Config file and change the color depth to 32,
which my card won't handle.  Then, when I try to run redhat-config-xfree86 from
the console, I get:

Traceback (most recent call last):
  File "/usr/share/redhat-config-xfree86/xconf.py", line 1568, in ?
    xserverpid = start_x_server(xconfig)
  File "/usr/share/redhat-config-xfree86/xconf.py", line 1431, in start_x_server
   raise RuntimeError, "X server failed to start"


It would be nice to catch the error if X failed to start and just assume that
the file is hosed and run as if there were no XF86Config file at all.
Comment 1 Mike A. Harris 2002-08-14 02:56:57 EDT
There is no such thing as color depth 32.

The valid color depths are 8/15/16/24

Color depth, is the number of bits in a pixel which represent color
information.  This is given by DefaultDepth in the XF86Config file.

The number of bits in a pixel stored in video memory is refered to
as "framebuffer bits per pixel" or Fbbpp.  You can override the
default Fbbpp in the X config file, but it is not something generally
useful, and only should be done by someone who knows specifically
what they're doing and requires a different default fbbpp.

DefaultFbbpp is the option to set Fbbpp.

Depth 24 in XFree86 uses a fbbpp of 32 bits by default except in
cases where the video card in question does not support 32bit packed
pixel mode.  All hardware made in the last 10 years roughly support
32bit packed pixel modes, so what a Windows user refers to as "32bit color"
is really 24bit color with 32bit wide pixels.  XFree86 calls this
color depth 24.

The app probably shouldn't crash though...  I just wanted to clarify
the whole 24bit/32bit color thing as it is very commonly misunderstood.
Comment 2 Alexander Larsson 2002-08-14 07:07:21 EDT
0.6.0 should do this. Can you try it?

Comment 3 Preston Brown 2002-08-21 22:41:40 EDT
fixed and verified in 0.6.1-1.

Note You need to log in before you can comment on or make changes to this bug.